import { AwsResource } from '../../cloudformation/resources/AwsResource';
/**
  The <code>AWS::CloudWatch::Alarm</code> type specifies an alarm and associates it with the specified metric or metric math expression.
  For full documentation go to <a href="http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-cloudwatch-alarm.html">the AWS Docs</a>
*/
export function alarm(alarmProps) {
    return new AwsResource('AWS::CloudWatch::Alarm', alarmProps, { Arn: 'Arn' });
}
